System.ServiceModel 4.0.0.0 System.Attribute System.ServiceModel.Description.IServiceBehavior System.AttributeUsage(System.AttributeTargets.Class)

When applied to a service implementation class, this attribute indicates whether this service requires or supports vstecasp compatibility mode to be enabled for the hosting application domain (AppDomain).

AppDomains hosting indigo2 services can run in two different hosting modes:

Mixed Transports Mode (Default): In this mode, indigo2 services do not participate in the vstecasp HTTP pipeline. This guarantees that a indigo2 service behaves consistently, independent of hosting environment and transport.

vstecasp Compatibility Mode: In this mode, indigo2 services participate in the vstecasp HTTP pipeline in a manner similar to ASMX services. vstecasp features such as File Authorization, UrlAuthorization, and HTTP Session State are applicable to indigo2 services running in this mode.

The hosting mode is controlled by the application-level configuration flag aspNetCompatibilityEnabled.

<system.serviceModel>

<serviceHostingEnvironment aspNetCompatibilityEnabled="true"/>

</system.serviceModel>

This flag is false by default and thus indigo2 services run in the Mixed Transports Mode unless you explicitly opt into the vstecasp compatibility mode.

crabout vstecasp compatibility mode, see serviceHostingEnvironment.

Use the property to do this. At runtime, applications can detect if vstecasp compatibility mode is enabled by checking the value of the static property .

Applied to a indigo1 service to indicate whether that service can be run in vstecasp compatibility code.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.Activation.AspNetCompatibilityRequirementsMode To be added.

  Use the property to set the hosting mode in code. This can also be done by setting an application-level configuration flag aspNetCompatibilityEnabled. crdefault serviceHostingEnvironment.

  At runtime, applications can detect whether vstecasp compatibility mode is enabled by checking the value of the static property .

  Gets or sets the level of vstecasp compatibility required by the service.

- Method
  4.0.0.0
  System.Void `` `` `` ``

  This method supports the indigo2 infrastructure and is not intended to be used directly from your code.

  Adds custom data that the binding elements can access to support the implementation of the contract.

  The of the service. The used to host the service. The of type that contains the endpoints for the service. The that contains the parameters that the binding elements for the service can access.
- Method
  4.0.0.0
  System.Void `` ``

  This method supports the indigo2 infrastructure and is not intended to be used directly from your code.

  Checks that the type of hosting is consistent with the vstecasp compatibility requirements.

  The of the service. The for hosting the service.
- Method
  4.0.0.0
  System.Void `` ``

  This method supports the indigo2 infrastructure and is not intended to be used directly from your code.

  Validates the service behavior.

  The of the service. The for hosting the service.